DigitalWalletTokenTransition containing the digital wallet token. Learn more about webhooks and how to subscribe to them.
You can only have up to 25 digital wallet tokens associated with the same funding PAN. This includes both active and suspended tokens. If you try to create a 26th, Mastercard will display an error message on the device itself — you won’t receive an error message from the Equals Money API.
Before you start
To create digital wallet tokens, you’ll need to:- ensure that tokenisation is enabled for your cards
- have an existing app and the relevant App Store or Google Play certificates
Tokenisation is enabled at a BIN and card product level. If you’re not sure this is enabled for your cards, please get in touch with your account manager.
Create an Apple digital wallet token
POST
/v2/cards/{cardId}/apple-walletRequest
Use this request to create a digital wallet token that can be added to an Apple wallet. The card’s data is encrypted using Apple’s own encryption key, meaning your PCI compliance overhead is reduced.Path parameters
The ID of the card to work with.Allowable values: An existing
cardId (≤ 36 characters)Query parameters
The ID of the account that the card is associated with.Allowable values: An existing
accountIdThe ID of the person that the card belongs to.Allowable values: An existing
personId (≤ 36 characters)Request body schema
The type of device. For example,
type=WATCH.Allowable values: MOBILE_PHONE, TABLET, WATCHThe version of the application making the provisioning request. This is used for debugging and fraud prevention.Allowable values: ≤ 50 characters
The Base64-encoded leaf and sub-CA certificates provided by Apple. The first element of the array should be the leaf certificate, followed by the sub-CA.Allowable values: A valid array of strings
The single-use nonce provided by Apple for security purposes.Allowable values: A valid string
The signature to the nonce provided by Apple.Allowable values: A valid string
Response
If your request is successful, you’ll receive a201 response. You’ll also receive a webhook containing the digital wallet token.
Create a Google Pay digital wallet token
POST
/v2/cards/{cardId}/google-walletRequest
Use this request to create a digital wallet token that can be added to a Google wallet. The card’s data is encrypted using Google’s own encryption key, meaning your PCI compliance overhead is reduced.Path parameters
The ID of the card to work with.Allowable values: An existing
cardId (≤ 36 characters)Query parameters
The ID of the account that the card is associated with.Allowable values: An existing
accountIdThe ID of the person that the card belongs to.Allowable values: An existing
personId (≤ 36 characters)Request body schema
The type of device. For example,
type=WATCH.Allowable values: MOBILE_PHONE, TABLET, WATCHThe version of the application making the provisioning request. This is used for debugging and fraud prevention.Allowable values: ≤ 50 characters
The unique identifier for the cardholder’s Android device, as provided during the provisioning process.Allowable values: ≤ 24 characters
The cardholder’s digital wallet account ID, as provided during the provisioning process.Allowable values: ≤ 50 characters
Response
If your request is successful, you’ll receive a201 response. You’ll also receive a webhook containing the digital wallet token.
Create a Samsung digital wallet token
POST
/v2/cards/{cardId}/samsung-walletRequest
Use this request to create a digital wallet token that can be added to a Samsung wallet. The card’s data is encrypted using Samsung’s own encryption key, meaning your PCI compliance overhead is reduced.Path parameters
The ID of the card to work with.Allowable values: An existing
cardId (≤ 36 characters)Query parameters
The ID of the account that the card is associated with.Allowable values: An existing
accountIdThe ID of the person that the card belongs to.Allowable values: An existing
personId (≤ 36 characters)Request body schema
The type of device. For example,
type=WATCH.Allowable values: MOBILE_PHONE, TABLET, WATCHThe version of the application making the provisioning request. This is used for debugging and fraud prevention.Allowable values: ≤ 50 characters
The unique identifier for the cardholder’s Android device, as provided during the provisioning process.Allowable values: ≤ 24 characters
The cardholder’s digital wallet account ID, as provided during the provisioning process.Allowable values: ≤ 50 characters
Response
If your request is successful, you’ll receive a201 response. You’ll also receive a webhook containing the digital wallet token.